<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.6) on Wed Jan 22 16:23:34 CET 2020 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-22">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<a href="index-20.html">X</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../launcher/Game.html#G">G</a></span> - Static variable in class launcher.<a href="../launcher/Game.html" title="class in launcher">Game</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../launcher/Game.html" title="class in launcher"><span class="typeNameLink">Game</span></a> - Class in <a href="../launcher/package-summary.html">launcher</a></dt>
<dd>
<div class="block">Launch the game</div>
</dd>
<dt><span class="memberNameLink"><a href="../launcher/Game.html#%3Cinit%3E(model.characters.PlayerCharacter,model.characters.PlayerCharacter)">Game(PlayerCharacter, PlayerCharacter)</a></span> - Constructor for class launcher.<a href="../launcher/Game.html" title="class in launcher">Game</a></dt>
<dd>
<div class="block">Initialize the game</div>
</dd>
<dt><span class="memberNameLink"><a href="../launcher/Main.html#GAME_TITLE">GAME_TITLE</a></span> - Static variable in class launcher.<a href="../launcher/Main.html" title="class in launcher">Main</a></dt>
<dd>
<div class="block">Variable contenant le nom du jeu</div>
</dd>
<dt><a href="../control/GameControl.html" title="class in control"><span class="typeNameLink">GameControl</span></a> - Class in <a href="../control/package-summary.html">control</a></dt>
<dd>
<div class="block">Controller of the game</div>
</dd>
<dt><span class="memberNameLink"><a href="../control/GameControl.html#%3Cinit%3E()">GameControl()</a></span> - Constructor for class control.<a href="../control/GameControl.html" title="class in control">GameControl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../view/GameController.html" title="class in view"><span class="typeNameLink">GameController</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/GameController.html#%3Cinit%3E()">GameController()</a></span> - Constructor for class view.<a href="../view/GameController.html" title="class in view">GameController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../launcher/Game.html#gameLoader(javafx.stage.Stage)">gameLoader(Stage)</a></span> - Method in class launcher.<a href="../launcher/Game.html" title="class in launcher">Game</a></dt>
<dd>
<div class="block">Load the game</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/contributors/Stub.html#generateContributors()">generateContributors()</a></span> - Static method in class model.contributors.<a href="../model/contributors/Stub.html" title="class in model.contributors">Stub</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/weapons/Weapon.html#getAttackTexture()">getAttackTexture()</a></span> - Method in class model.weapons.<a href="../model/weapons/Weapon.html" title="class in model.weapons">Weapon</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/level/Level.html#getBackground()">getBackground()</a></span> - Method in class model.level.<a href="../model/level/Level.html" title="class in model.level">Level</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/Enemy.html#getBaseX()">getBaseX()</a></span> - Method in class model.characters.<a href="../model/characters/Enemy.html" title="class in model.characters">Enemy</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/Enemy.html#getBaseY()">getBaseY()</a></span> - Method in class model.characters.<a href="../model/characters/Enemy.html" title="class in model.characters">Enemy</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/level/Block.html#getBlockSkin()">getBlockSkin()</a></span> - Method in class model.level.<a href="../model/level/Block.html" title="class in model.level">Block</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/level/Level.html#getBlocs()">getBlocs()</a></span> - Method in class model.level.<a href="../model/level/Level.html" title="class in model.level">Level</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/contributors/Contributors.html#getContributors()">getContributors()</a></span> - Method in class model.contributors.<a href="../model/contributors/Contributors.html" title="class in model.contributors">Contributors</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/level/Block.html#getCoordonateX()">getCoordonateX()</a></span> - Method in class model.level.<a href="../model/level/Block.html" title="class in model.level">Block</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/level/Block.html#getCoordonateY()">getCoordonateY()</a></span> - Method in class model.level.<a href="../model/level/Block.html" title="class in model.level">Block</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/weapons/Weapon.html#getDamage()">getDamage()</a></span> - Method in class model.weapons.<a href="../model/weapons/Weapon.html" title="class in model.weapons">Weapon</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/level/Block.html#getDestructible()">getDestructible()</a></span> - Method in class model.level.<a href="../model/level/Block.html" title="class in model.level">Block</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/Character.html#getDirectionView()">getDirectionView()</a></span> - Method in class model.characters.<a href="../model/characters/Character.html" title="class in model.characters">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/contributors/Contributor.html#getFirstName()">getFirstName()</a></span> - Method in class model.contributors.<a href="../model/contributors/Contributor.html" title="class in model.contributors">Contributor</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/contributors/Contributor.html#getGroup()">getGroup()</a></span> - Method in class model.contributors.<a href="../model/contributors/Contributor.html" title="class in model.contributors">Contributor</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/level/Level.html#getHeight()">getHeight()</a></span> - Method in class model.level.<a href="../model/level/Level.html" title="class in model.level">Level</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/Enemy.html#getIsAttacking()">getIsAttacking()</a></span> - Method in class model.characters.<a href="../model/characters/Enemy.html" title="class in model.characters">Enemy</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/PlayerCharacter.html#getJump()">getJump()</a></span> - Method in class model.characters.<a href="../model/characters/PlayerCharacter.html" title="class in model.characters">PlayerCharacter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/Character.html#getLife()">getLife()</a></span> - Method in class model.characters.<a href="../model/characters/Character.html" title="class in model.characters">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/Character.html#getName()">getName()</a></span> - Method in class model.characters.<a href="../model/characters/Character.html" title="class in model.characters">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/contributors/Contributor.html#getName()">getName()</a></span> - Method in class model.contributors.<a href="../model/contributors/Contributor.html" title="class in model.contributors">Contributor</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/level/Block.html#getName()">getName()</a></span> - Method in class model.level.<a href="../model/level/Block.html" title="class in model.level">Block</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/weapons/Weapon.html#getName()">getName()</a></span> - Method in class model.weapons.<a href="../model/weapons/Weapon.html" title="class in model.weapons">Weapon</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/CharacterManager.html#getPlayerCharacter()">getPlayerCharacter()</a></span> - Method in class model.characters.<a href="../model/characters/CharacterManager.html" title="class in model.characters">CharacterManager</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../launcher/Main.html#getPrimaryStage()">getPrimaryStage()</a></span> - Static method in class launcher.<a href="../launcher/Main.html" title="class in launcher">Main</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/CharacterManager.html#getRandomPlayerCharacter()">getRandomPlayerCharacter()</a></span> - Method in class model.characters.<a href="../model/characters/CharacterManager.html" title="class in model.characters">CharacterManager</a></dt>
<dd>
<div class="block">Choose randomly a character in the list</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/weapons/Weapon.html#getRange()">getRange()</a></span> - Method in class model.weapons.<a href="../model/weapons/Weapon.html" title="class in model.weapons">Weapon</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/weapons/Weapon.html#getShoot()">getShoot()</a></span> - Method in class model.weapons.<a href="../model/weapons/Weapon.html" title="class in model.weapons">Weapon</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/Character.html#getSkin()">getSkin()</a></span> - Method in class model.characters.<a href="../model/characters/Character.html" title="class in model.characters">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/PlayerCharacter.html#getSpecialWeapon()">getSpecialWeapon()</a></span> - Method in class model.characters.<a href="../model/characters/PlayerCharacter.html" title="class in model.characters">PlayerCharacter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/Character.html#getWalk()">getWalk()</a></span> - Method in class model.characters.<a href="../model/characters/Character.html" title="class in model.characters">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/Character.html#getWeapon()">getWeapon()</a></span> - Method in class model.characters.<a href="../model/characters/Character.html" title="class in model.characters">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/level/Level.html#getWidth()">getWidth()</a></span> - Method in class model.level.<a href="../model/level/Level.html" title="class in model.level">Level</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/Character.html#getX()">getX()</a></span> - Method in class model.characters.<a href="../model/characters/Character.html" title="class in model.characters">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/weapons/Weapon.html#getX()">getX()</a></span> - Method in class model.weapons.<a href="../model/weapons/Weapon.html" title="class in model.weapons">Weapon</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/Character.html#getY()">getY()</a></span> - Method in class model.characters.<a href="../model/characters/Character.html" title="class in model.characters">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/weapons/Weapon.html#getY()">getY()</a></span> - Method in class model.weapons.<a href="../model/weapons/Weapon.html" title="class in model.weapons">Weapon</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/HomeController.html#grid">grid</a></span> - Variable in class view.<a href="../view/HomeController.html" title="class in view">HomeController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../launcher/Game.html#GROUND_LEVEL">GROUND_LEVEL</a></span> - Static variable in class launcher.<a href="../launcher/Game.html" title="class in launcher">Game</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../control/LevelControl.html#groundControl(java.util.List,model.characters.PlayerCharacter)">groundControl(List&lt;Block&gt;, PlayerCharacter)</a></span> - Method in class control.<a href="../control/LevelControl.html" title="class in control">LevelControl</a></dt>
<dd>
<div class="block">set the new ground level for the character</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/contributors/Contributor.html#group">group</a></span> - Variable in class model.contributors.<a href="../model/contributors/Contributor.html" title="class in model.contributors">Contributor</a></dt>
<dd>
<div class="block">Group in the IUT of the contributor</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/contributors/Contributor.html#groupProperty()">groupProperty()</a></span> - Method in class model.contributors.<a href="../model/contributors/Contributor.html" title="class in model.contributors">Contributor</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../model/weapons/Gun.html" title="class in model.weapons"><span class="typeNameLink">Gun</span></a> - Class in <a href="../model/weapons/package-summary.html">model.weapons</a></dt>
<dd>
<div class="block">The gun weapon class
 Extends Weapon</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/weapons/Gun.html#%3Cinit%3E(java.lang.String,int,int,javafx.scene.image.ImageView)">Gun(String, int, int, ImageView)</a></span> - Constructor for class model.weapons.<a href="../model/weapons/Gun.html" title="class in model.weapons">Gun</a></dt>
<dd>
<div class="block">Construct the gun</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<a href="index-20.html">X</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
